#include <stdio.h>
#include <math.h>

typedef long int real;

void nastav(real *x,real *y,long int z)
{
  float n;
  real stred;
  real nn;
  
  nn = (real) floor(-0.500001+sqrt(0.25+2*z));
//  if(floor(n)==n)
//    nn = (long int) floor(n)-1;
//  else
//    nn = (long int) floor(n);
  *x = 2*z-2-nn*(nn+2);
  *y = nn;
}

void ries(long int q0,long int q1,long int q2)
{
  real x0,x1,x2,y0,y1,y2,ex0,ex1,ex2,ey0,ey1,ey2,vzd0,vzd1,vzd2;
  
  nastav(&x0,&y0,q0);
  nastav(&x1,&y1,q1);
  nastav(&x2,&y2,q2);

//  printf("\n%ld %ld %ld %ld %ld %ld",x0,y0,x1,y1,x2,y2);
  
  ex0 = x1-x0;
  ex0 *= ex0;
  ex1 = x2-x0;
  ex1 *= ex1;
  ex2 = x2-x1;
  ex2 *= ex2;
  ey0 = y1-y0;
  ey0 *= 3*ey0;
  ey1 = y2-y0;
  ey1 *= 3*ey1;
  ey2 = y2-y1;
  ey2 *= 3*ey2;
  vzd0 = ex0+ey0;
  vzd1 = ex1+ey1;
  vzd2 = ex2+ey2;

//  printf( "\n%ld %ld %ld", vzd0, vzd1, vzd2 );
  
  if((vzd0-vzd1==0.0)&&(vzd0-vzd2==0.0))
    printf("YES\n");
  else
    printf("NO\n");
}

int main(void)
{
  long int x0,x1,x2;
  do
  {
    scanf("%ld",&x0);
    scanf("%ld",&x1);
    scanf("%ld",&x2);
    if(x0!=0)        
      ries(x0,x1,x2);
  }while(x0!=0);
  return(0);
}